# $Id: fam.spec,v 1.5 2000/05/20 05:23:01 rusty Exp $
Summary: fam, the File Alteration Monitor
Name: fam
%define version 2.6.4
%define release 2kde
Version: %{version}
Release: %{release}
Group: System Environment/Daemons
Vendor: SGI
# Copyright: Copyright  1999, 2000 Silicon Graphics, Inc., All rights reserved.
# License: GPL/LGPL
Copyright: GPL/LGPL
URL: http://oss.sgi.com/projects/fam/
BuildRoot: %{_topdir}/tmp/fam
#  If you add a BuildArchitecture, you will also need to add the
#  corresponding directory to RPM_SUBDIRS in the Makefile, because
#  rpm doesn't seem to know how to mkdir.
BuildArchitectures: i386
Source: fam-oss-%{version}.tar.gz
Patch: fam-namespace.patch

%description
fam, the File Alteration Monitor, provides a daemon and an API which
applications can use to be notified when specific files or directories
are changed.

fam works best if your kernel has imon.  (Otherwise, it has to poll the
filesystem instead of being notified as operations are performed on the
files it's monitoring.)  See http://oss.sgi.com/projects/fam/ for more
information on fam and imon. This package includes a patch to avoid
namespace clashes with KDE

#Requires: 
#Obsoletes:


%prep
#%setup -q -n %{name}
%setup -n fam-oss-%{version}
%patch -p1


%build
./configure
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
echo "RPM_BUILD_ROOT=$RPM_BUILD_ROOT"
make DESTDIR="$RPM_BUILD_ROOT" install

%clean
#  We don't actually do any cleaning here; the top-level Makefile will clean up
#  our entire %{_topdir}.
#make clean

%post
%define editconf perl /usr/local/lib/fam/editconf.perl
%{editconf} ld.so.conf add /usr/local/lib /usr/local/lib
ldconfig
echo "Adding fam to rpc..."
%{editconf} rpc add 391002 "sgi_fam		391002"
echo "Adding fam to inetd.conf..."
%{editconf} inetd.conf add '\b(fam|FAM)\b' \
    "#  fam, the File Alteration Monitor, http://oss.sgi.com/projects/fam/" \
    "sgi_fam/1-2 stream rpc/tcp wait root /usr/local/bin/fam fam"
echo "Restarting inetd..."
killall -HUP inetd

#  This is preun, rather than postun, so that we can use our script before
#  it gets removed.
%preun
echo "Removing fam from rpc..."
%{editconf} rpc remove 391002
echo "Removing fam from inetd.conf..."
%{editconf} inetd.conf remove '\b(fam|FAM)\b'
echo "Restarting inetd..."
killall -HUP inetd

%postun
ldconfig


%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL INSTALL.rpm README TODO
/usr/local/bin/fam
%config /usr/local/etc/fam.conf
#  Will all these libtool files exist when someone generates the rpm
#  on their own system?!?
#/usr/local/lib/libfam.so.1
#/usr/local/lib/libfam.a
#/usr/local/lib/libfam.so
#/usr/local/lib/libfam.la
#/usr/local/lib/libfam.so.1.0
#  The anwer is no.  Grrr!!!  Guess we take everything in the directory.
#  This bites!!
/usr/local/lib
/usr/local/man/man1/fam.1m
/usr/local/man/man3/fam.3x
/usr/local/include/fam.h
#  This is included by /usr/local/lib above?
#/usr/local/lib/fam/editconf.perl
